Name:           kbibtex
Version:        0.2.1
Release:        %mkrel 3
Summary:        BibTeX editor for KDE
License:        GPLv2+
Group:          Publishing
Url:            http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Source0:        http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/%{name}-%{version}.tar.bz2
Requires:       tetex-latex
BuildRequires:  kdelibs-devel
BuildRequires:  libxslt-devel
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KBibTeX is a BibTeX editor for KDE to edit bibliographies used with LaTeX.
Features include comfortable input masks, starting web queries 
(e. g. Google or PubMed) and exporting to PDF, PostScript, RTF and XML/HTML.
As KBibTeX is using KDE's KParts technology, KBibTeX can be embedded into 
Kile or Konqueror.

%prep
%setup -q

%build
%define _disable_final 1
%{configure_kde3}
%{make}

%install
rm -rf %{buildroot}
%{makeinstall_std}

desktop-file-install \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="Office" \
  --add-category="Viewer" \
  --dir %{buildroot}%{_kde3_datadir}/applications/kde %{buildroot}%{_kde3_datadir}/applications/kde/*.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_kde3_icon_cache crystalsvg
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_kde3_icon_cache crystalsvg
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%attr(755,root,root)%{_kde3_bindir}/kbibtex
%attr(755,root,root) %{_kde3_libdir}/kde3/libkbibtexpart.*
%{_mandir}/man1/kbibtex*
%{_kde3_datadir}/applications/kde/kbibtex.desktop
%{_kde3_datadir}/apps/kbibtex
%{_kde3_datadir}/apps/kbibtexpart
%{_kde3_datadir}/doc/HTML/*/kbibtex
%{_kde3_iconsdir}/crystalsvg/*/apps/kbibtex.png
%{_kde3_datadir}/services/kbibtex_part.desktop


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-3mdv2009.0
+ Revision: 247519
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Funda Wang <fundawang@mandriva.org>
    - use system wide mandir
    - New version 0.2.1

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-2mdv2008.1
+ Revision: 170910
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 0.2-1mdv2008.1
+ Revision: 107334
- remove old patches

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-2mdv2008.1
+ Revision: 102346
- add upstream patches 4,5,6
- update description
- drop old menu style
- drop non -fd.o incons dir
- spec file clean


* Tue Jan 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2007.0
+ Revision: 112281
- Import kbibtex

